unit KDSServerMethodsUnit;

interface

uses
  SysUtils, Classes, DSServer, KDSSV, Provider, DBClient, DB;

type
{$METHODINFO ON}
  TServerMethods1 = class(TDSServerModule)
    ProPOSTA: TDataSetProvider;
    ProPOSTB: TDataSetProvider;
    procedure ProPOSTBUpdateError(Sender: TObject;
      DataSet: TCustomClientDataSet; E: EUpdateError; UpdateKind: TUpdateKind;
      var Response: TResolverResponse);
    procedure ProPOSTAUpdateError(Sender: TObject;
      DataSet: TCustomClientDataSet; E: EUpdateError; UpdateKind: TUpdateKind;
      var Response: TResolverResponse);
    procedure ProPOSTAGetData(Sender: TObject; DataSet: TCustomClientDataSet);

  private
    { Private declarations }
  public
    { Public declarations }
    function EchoString(Value: string): string;
    function ReverseString(Value: string): string;
  end;
{$METHODINFO OFF}

implementation

{$R *.dfm}

uses StrUtils;

function TServerMethods1.EchoString(Value: string): string;
begin
  Result := Value;
end;


procedure TServerMethods1.ProPOSTAGetData(Sender: TObject;
  DataSet: TCustomClientDataSet);
begin
  KDSSVForm.DOLOG('TServerMethods: RecodeCount ' + inttostr(DataSet.RecordCount))  ;
end;

procedure TServerMethods1.ProPOSTAUpdateError(Sender: TObject;
  DataSet: TCustomClientDataSet; E: EUpdateError; UpdateKind: TUpdateKind;
  var Response: TResolverResponse);
begin
  KDSSVForm.DOLOG('TServerMethods: TA ' + e.Message)
end;

procedure TServerMethods1.ProPOSTBUpdateError(Sender: TObject;
  DataSet: TCustomClientDataSet; E: EUpdateError; UpdateKind: TUpdateKind;
  var Response: TResolverResponse);
begin
  KDSSVForm.DOLOG('TServerMethods: TB ' + e.Message)
end;

function TServerMethods1.ReverseString(Value: string): string;
begin
  Result := StrUtils.ReverseString(Value);
end;

end.

