unit KDSSet;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, StdCtrls, pngimage, ExtCtrls, CategoryButtons, ActnList,
  inifiles, rkGlassButton;

type
  TKDSOption = class(TForm)
    CategoryButtons1: TCategoryButtons;
    Panel1: TPanel;
    Panel3: TPanel;
    Image2: TImage;
    KDSTitle: TLabel;
    Image1: TImage;
    Image3: TImage;
    Image4: TImage;
    ImageIcon: TImageList;
    ActionList: TActionList;
    actSET: TAction;
    actOption: TAction;
    CheckBox1: TCheckBox;
    plConstant: TPanel;
    Shape1: TShape;
    Label1: TLabel;
    Shape2: TShape;
    Label2: TLabel;
    Shape3: TShape;
    Label4: TLabel;
    Shape4: TShape;
    cb1: TComboBox;
    ck1: TCheckBox;
    ed1: TEdit;
    Shape5: TShape;
    Label3: TLabel;
    Label5: TLabel;
    KDSSV: TEdit;
    Shape6: TShape;
    KDSPORT: TEdit;
    Shape7: TShape;
    Label6: TLabel;
    Label7: TLabel;
    cb3: TComboBox;
    Shape8: TShape;
    Shape9: TShape;
    Shape10: TShape;
    cb2: TComboBox;
    rkGlassButton1: TrkGlassButton;
    Image128: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure Image3Click(Sender: TObject);
    procedure LoadIni;
    procedure ReadIni;
    procedure YesClick(Sender: TObject);
    procedure cb2Change(Sender: TObject);
    procedure ed1Exit(Sender: TObject);
    procedure rkGlassButton1Click(Sender: TObject);

  private
    { Private declarations }
  public
    F1,F2,F3,F4,F5,F6 :String;
    FWindows1, FWindows2, FWindows3, FWindows4, FWindows5, FWindows6 :String;
    { Public declarations }
  end;

var
  KDSOption: TKDSOption;

implementation

{$R *.dfm}

procedure TKDSOption.cb2Change(Sender: TObject);
var
  mPos: TIniFile;
  sCurrentDir:string;
begin
  sCurrentDir := GetCurrentDir;
  mPos := TIniFile.create(sCurrentDir+'\Set.ini');
  with mPos do
  try
    case cb2.ItemIndex of
      0:begin
        ed1.text := F1;
        cb3.ItemIndex :=  Readinteger('Windows', 'FoodWindows1', 0)-1;
      end;
      1: begin
        ed1.text := F2;
        cb3.ItemIndex :=  Readinteger('Windows', 'FoodWindows2', 1)-1;
      end;
      2: begin
        ed1.text := F3;
        cb3.ItemIndex :=  Readinteger('Windows', 'FoodWindows3', 2)-1;
      end;
      3: begin
        ed1.text := F4;
        cb3.ItemIndex :=  Readinteger('Windows', 'FoodWindows4', 3)-1;
      end;
      4: begin
        ed1.text := F5;
        cb3.ItemIndex :=  Readinteger('Windows', 'FoodWindows5', 4)-1;
      end;
      5: begin
        ed1.text := F6;
        cb3.ItemIndex :=  Readinteger('Windows', 'FoodWindows6', 5)-1;
      end;
    end;
  finally
    mPos.free;
  end;
end;

procedure TKDSOption.ed1Exit(Sender: TObject);
begin
  case cb2.ItemIndex of
    0: F1 := ed1.text;
    1: F2 := ed1.text;
    2: F3 := ed1.text;
    3: F4 := ed1.text;
    4: F5 := ed1.text;
    5: F6 := ed1.text;
  end;
end;

procedure TKDSOption.FormCreate(Sender: TObject);
begin
  //JC
  ReadIni;


end;

procedure TKDSOption.Image3Click(Sender: TObject);
begin
  LoadIni;
  close;
end;

procedure TKDSOption.LoadIni;
var
  mPos: TIniFile;
  sCurrentDir:string;
begin
  sCurrentDir := GetCurrentDir;
  mPos := TIniFile.create(sCurrentDir+'\Set.ini');
  with mPos do
  try
    WriteInteger('SET', 'Template', cb1.Items.IndexOf(cb1.Text));
    WriteBool('SET', 'MainStation', ck1.checked);
    WriteInteger('SET', 'WindowsShot', cb2.Items.IndexOf(cb2.Text));

    case cb2.ItemIndex of
      0:begin
        WriteString('Windows', 'Name1', F1);
        Writeinteger('Windows', 'FoodWindows1', cb3.ItemIndex+1);
      end;

      1:begin
        WriteString('Windows', 'Name2', F2);
        Writeinteger('Windows', 'FoodWindows2', cb3.ItemIndex+1);
      end;

      2:begin
        WriteString('Windows', 'Name3', F3);
        Writeinteger('Windows', 'FoodWindows3', cb3.ItemIndex+1);
      end;

      3:begin
        WriteString('Windows', 'Name4', F4);
        Writeinteger('Windows', 'FoodWindows4', cb3.ItemIndex+1);
      end;

      4:begin
        WriteString('Windows', 'Name5', F5);
        Writeinteger('Windows', 'FoodWindows5', cb3.ItemIndex+1);
      end;

      5:begin
        WriteString('Windows', 'Name6', F6);
        Writeinteger('Windows', 'FoodWindows6', cb3.ItemIndex+1);
      end;
    end;

    WriteString('SET', 'KDSSV', KDSSV.Text);
    WriteString('SET', 'KDSPORT', KDSPORT.Text);
  finally
    mPos.free;
  end;
end;

procedure TKDSOption.ReadIni;
var
  mPos: TIniFile;
  sCurrentDir:string;
begin
  sCurrentDir := GetCurrentDir;
  mPos := TIniFile.create(sCurrentDir+'\Set.ini');
  with mPos do
  try
    cb1.ItemIndex := ReadInteger('SET', 'Template', 0);
    ck1.Checked := ReadBool('SET','MainStation', True);
    cb2.ItemIndex := ReadInteger('SET', 'WindowsShot', 0);

    F1:=  ReadString('Windows', 'Name1', '1');
    F2:=  ReadString('Windows', 'Name2', '2');
    F3:=  ReadString('Windows', 'Name3', '3');
    F4:=  ReadString('Windows', 'Name4', '4');
    F5:=  ReadString('Windows', 'Name5', '5');
    F6:=  ReadString('Windows', 'Name6', '6');

    FWindows1:=  InttoStr(Readinteger('Windows', 'FoodWindows1', 0) );
    FWindows2:=  InttoStr(Readinteger('Windows', 'FoodWindows2', 1) );
    FWindows3:=  InttoStr(Readinteger('Windows', 'FoodWindows3', 2) );
    FWindows4:=  InttoStr(Readinteger('Windows', 'FoodWindows4', 3) );
    FWindows5:=  InttoStr(Readinteger('Windows', 'FoodWindows5', 4) );
    FWindows6:=  InttoStr(Readinteger('Windows', 'FoodWindows6', 5) );


    case cb2.ItemIndex of
      0:begin
        ed1.Text :=  F1;
        cb3.ItemIndex := Readinteger('Windows', 'FoodWindows6', 0);
      end;
      1:begin
        ed1.Text :=  F2;
        cb3.ItemIndex := Readinteger('Windows', 'FoodWindows6', 1);
      end;
      2:begin
        ed1.Text :=  F3;
        cb3.ItemIndex := Readinteger('Windows', 'FoodWindows6', 2);
      end;
      3:begin
        ed1.Text :=  F4;
        cb3.ItemIndex := Readinteger('Windows', 'FoodWindows6', 3);
      end;
      4:begin
        ed1.Text :=  F5;
        cb3.ItemIndex := Readinteger('Windows', 'FoodWindows6', 4);
      end;
      5:begin
        ed1.Text :=  F6;
        cb3.ItemIndex := Readinteger('Windows', 'FoodWindows6', 5);
      end;
    end;

    KDSSV.Text   :=  ReadString('SET', 'KDSSV', '');
    KDSPORT.Text :=  ReadString('SET', 'KDSPORT', '');

//    cB2.Items.Clear;
//    cb2.Items.Add(F1);    cb2.Items.Add(F2);    cb2.Items.Add(F3);    cb2.Items.Add(F4);    cb2.Items.Add(F5);    cb2.Items.Add(F6);
  finally
    mPos.free;
  end;
end;

procedure TKDSOption.rkGlassButton1Click(Sender: TObject);
begin
  LoadIni;
end;

procedure TKDSOption.YesClick(Sender: TObject);
begin
//  case cb2.ItemIndex of
//    0: F1:= ed1.text;
//    1: F2:= ed1.text;
//    2: F3:= ed1.text;
//    3: F4:= ed1.text;
//    4: F5:= ed1.text;
//    5: F6:= ed1.text;
//  end;


//  close;
end;

end.
